server:
    port: 8877

spring:
    redis:
        host: 192.168.30.178
        port: 6379
        password: admin!@#qwe
#        password:
        database: 0
        ssl: false
    rabbitmq:
#        virtual-host: pt_mq
        host: 132.232.115.20
#        host: 192.168.16.220
        port: 5672
#        username: pt_mq
#        password: pt_mq
        username: newfiber_user
        password: newfiber@2020_rabbitmq
        publisher-confirm-type: correlated
        publisher-returns: true
        listener:
            simple:
                acknowledge-mode: manual
                retry:
                    enabled: true
        template:
            routing-key: rtu_message_test
            exchange: amq.topic

    datasource:
        dynamic:
            primary: swj
            datasource:
                swj:
                    type: com.alibaba.druid.pool.DruidDataSource
                    driver-class-name: com.mysql.jdbc.Driver
#                    url: jdbc:mysql://172.16.3.38:3306/swj?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=Hongkong&rewriteBatchedStatements=true
#                    username: u_swj
#                    password: c5Uh5WQRtacH
                    url: jdbc:mysql://192.168.30.92:3306/swj?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=Hongkong&rewriteBatchedStatements=true
                    username: root
                    password: admin123!@#
                access:
                    type: com.alibaba.druid.pool.DruidDataSource
                    driver-class-name: com.mysql.jdbc.Driver
                    url: jdbc:mysql://192.168.30.92:3306/iflytek_access?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=Hongkong&rewriteBatchedStatements=true
                    username: root
                    password: admin123!@#
    autoconfigure:
        exclude:  com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure # 去除druid配置

    data:
      mongodb:
          uri: mongodb://pt_mongo:pt_mongo@192.168.30.178:27017/pt_mongo

logging:
    level:
        root: info
        org:
            springnewfiber:
                dataadapter: info

business:
    hankouSaveUrl: http://192.168.16.115:18000/forecastData/hankou_site
ziguang:
    #渍水点
    zs:
        listurl: http://58.49.51.33:8081/iwp/dynamic/zs/map_waterlglive/list
        realurl: http://58.49.51.33:8081/iwp/dynamic/zs/zs_daylist/list
    #雨量站
    yl:
        listurl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_live/list
        realurl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_daylistmi/list
        #暂时未使用
        oneHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_daylisthour/list
        threeHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_3hour/list
        sixHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_6hour/list
        dayUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_24hour/list
        countUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_his/list
    #泵站工情
    bz:
        listurl: http://58.49.51.33:8081/iwp/dynamic/bz/map_pumplive/list
        realurl: http://58.49.51.33:8081/iwp/dynamic/bz/map_pumpdaylist/list
    #湖泊
    hp:
        listurl: http://58.49.51.33:8081/iwp/dynamic/hp/map_lakelive/list
        realurl: http://58.49.51.33:8081/iwp/dynamic/hp/hp_daylist/list
    #港渠
    gq:
        listurl: http://58.49.51.33:8081/iwp/dynamic/gq/map_canallive/list
        realurl: http://58.49.51.33:8081/iwp/dynamic/gq/gq_daylist/list
    #河道
    hd:
        listurl: http://58.49.51.33:8081/iwp/dynamic/hd/map_riverlive/list
#        realurl: http://58.49.51.33:8081/iwp/dynamic/hd/rvnm_order/list
        realurl:  http://58.49.51.33:8081/iwp/dynamic/hd/wh_daylive/list
    login:
#        username: data-service1
#        password: data-service11
        username: data-service2
        password: data-service212345678
        loginurl: http://58.49.51.33:8081/jkfc/user/login